Summary:        Prelude Hybrid Intrusion Detection System Manager
Name:           prelude-manager
Version:        0.8.9
Release:        alt4.1
License:        GPL
Group:          System/Servers
URL:            http://www.prelude-ids.org/

Source:		http://www.prelude-ids.org/download/releases/%name-%version.tar.gz
Source99:  	%name

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Thu May 13 2004
BuildRequires: gcc-c++ libMySQL-devel libpq3-devel libprelude-devel libssl-devel libstdc++-devel libwrap-devel libxml2-devel postgresql-devel zlib-devel

Requires:	libprelude >= 0.8.4
Requires:	libssl zlib 

%description
Prelude Manager is the main program of the Prelude Hybrid IDS suite.
It is a multithreaded server which handles connections from the Prelude
sensors. It is able to register local or remote sensors, let the operator
configure them remotely, receive alerts, and store alerts in a database or any
format supported by reporting plugins, thus providing centralized logging and
analysis.
It also provides relaying capabilities for failover and replication.
The IDMEF standard is used for alert representation. Support for filtering
plugins allows you to hook in different places in the Manager to define custom
criteria for alert relaying and logging. 

%description -l uk_UA.KOI8-U
 Prelude --    Prelude Hybrid IDS. 
Ѥ      ' צ Ҧ
Prelude.    Ť Φ  צΦ
, դ צ  , 
Φ צ        -
 Ԧ,  Ц Ǧ צԦ,  
 ̦    ̦ Ħ.
  դ צ Ħϧ æ צ
 ̦æ.
 æ  צ դ 
IDMEF.  Ǧ Ʀ Ѥ   
 Φ Ҧ     צ
 צ  Ҧ ͦ  Ҧ.

%description -l ru_RU.KOI8-R
 Prelude --    Prelude Hybrid
IDS.     ,  
   Prelude.    
  ̣ ,  ̣ 
,       
     ,   
ޣ,       
 .
      
 .
     
IDMEF.       
       
      .

%package devel
Summary: Libraries, includes, etc. to develop Prelude IDS Manager plugins
Group: Development/C
Requires: %name = %version

%description devel
Prelude Manager is the main program of the Prelude Hybrid IDS suite.
It is a multithreaded server which handles connections from the Prelude
sensors. It is able to register local or remote sensors, let the operator
configure them remotely, receive alerts, and store alerts in a database or any
format supported by reporting plugins, thus providing centralized logging and
analysis.
It also provides relaying capabilities for failover and replication.
The IDMEF standard is used for alert representation. Support for filtering
plugins allows you to hook in different places in the Manager to define custom
criteria for alert relaying and logging. 

Install this package if you want to build Prelude IDS Manager Plugins.

%description -l uk_UA.KOI8-U devel
 Prelude --    Prelude Hybrid IDS. 
Ѥ      ' צ Ҧ
Prelude.    Ť Φ  צΦ
, դ צ  , 
Φ צ        -
 Ԧ,  Ц Ǧ צԦ,  
 ̦    ̦ Ħ.

צ  ,     Φ Ǧ 
 Prelude.

%description -l ru_RU.KOI8-R devel
 Prelude --    Prelude Hybrid
IDS.     ,  
   Prelude.    
  ̣ ,  ̣ 
,       
     ,   
ޣ,       
 .

  ,       
 Prelude.

%if_enabled static
%package devel-static
Summary: Libraries, includes, etc. to develop Prelude IDS Manager plugins
Group: Development/C
Requires: %name = %version
Requires: %name-devel

%description devel-static
Prelude Manager is the main program of the Prelude Hybrid IDS suite.
It is a multithreaded server which handles connections from the Prelude
sensors. It is able to register local or remote sensors, let the operator
configure them remotely, receive alerts, and store alerts in a database or any
format supported by reporting plugins, thus providing centralized logging and
analysis.
It also provides relaying capabilities for failover and replication.
The IDMEF standard is used for alert representation. Support for filtering
plugins allows you to hook in different places in the Manager to define custom
criteria for alert relaying and logging. 

This package contains statically builded libraries for Prelude IDS Manager.

%description -l uk_UA.KOI8-U devel-static
 Prelude --    Prelude Hybrid IDS. 
Ѥ      ' צ Ҧ
Prelude.    Ť Φ  צΦ
, դ צ  , 
Φ צ        -
 Ԧ,  Ц Ǧ צԦ,  
 ̦    ̦ Ħ.

  ͦ  ¦ Φ  ¦̦  Prelude.

%description -l ru_RU.KOI8-R devel-static
 Prelude --    Prelude Hybrid
IDS.     ,  
   Prelude.    
  ̣ ,  ̣ 
,       
     ,   
ޣ,       
 .

       Prelude.
%endif

%package mysql-plugin
Summary: MySQL report plugin for Prelude IDS Manager
Group: System/Servers
Requires: %name = %version
Requires: libMySQL zlib

%description mysql-plugin
Prelude Manager is the main program of the Prelude Hybrid IDS suite. It is a
multithreaded server which handles connections from the Prelude sensors. It is
able to register local or remote sensors, let the operator configure them
remotely, receive alerts, and store alerts in a database or any format
supported by reporting plugins, thus providing centralized logging and
analysis. It also provides relaying capabilities for failover and replication.
The IDMEF standard is used for alert representation. Support for filtering
plugins allows you to hook in different places in the Manager to define custom
criteria for alert relaying and logging.

This plugin adds Database logging capabilities to the Prelude IDS Manager.

%description -l uk_UA.KOI8-U mysql-plugin
 Prelude --    Prelude Hybrid IDS. 
Ѥ      ' צ Ҧ
Prelude.    Ť Φ  צΦ
, դ צ  , 
Φ צ        -
 Ԧ,  Ц Ǧ צԦ,  
 ̦    ̦ Ħ.

 Ǧ  צ  ̦  ڦ  MySQL.

%description -l ru_RU.KOI8-R mysql-plugin
 Prelude --    Prelude Hybrid
IDS.     ,  
   Prelude.    
  ̣ ,  ̣ 
,       
     ,   
ޣ,       
 .

         MySQL.

%package pgsql-plugin
Summary: MySQL report plugin for Prelude IDS Manager
Group: System/Servers
Requires: %name = %version
Requires: libpq3

%description pgsql-plugin
Prelude Manager is the main program of the Prelude Hybrid IDS suite. It is a
multithreaded server which handles connections from the Prelude sensors. It is
able to register local or remote sensors, let the operator configure them
remotely, receive alerts, and store alerts in a database or any format
supported by reporting plugins, thus providing centralized logging and
analysis. It also provides relaying capabilities for failover and replication.
The IDMEF standard is used for alert representation. Support for filtering
plugins allows you to hook in different places in the Manager to define custom
criteria for alert relaying and logging.

This plugin adds Database logging capabilities to the Prelude IDS Manager.

%description -l uk_UA.KOI8-U pgsql-plugin
 Prelude --    Prelude Hybrid IDS. 
Ѥ      ' צ Ҧ
Prelude.    Ť Φ  צΦ
, դ צ  , 
Φ צ        -
 Ԧ,  Ц Ǧ צԦ,  
 ̦    ̦ Ħ.

 Ǧ  צ  ̦  ڦ  PostgreSQL.

%description -l ru_RU.KOI8-R pgsql-plugin
 Prelude --    Prelude Hybrid
IDS.     ,  
   Prelude.    
  ̣ ,  ̣ 
,       
     ,   
ޣ,       
 .

         PostgreSQL.

%package xml-plugin
Summary: XML report plugin for Prelude IDS Manager
Group: System/Servers
Requires: %name = %version
Requires: libxml2 zlib

%description xml-plugin
Prelude Manager is the main program of the Prelude Hybrid IDS suite. It is a
multithreaded server which handles connections from the Prelude sensors. It is
able to register local or remote sensors, let the operator configure them
remotely, receive alerts, and store alerts in a database or any format
supported by reporting plugins, thus providing centralized logging and
analysis. It also provides relaying capabilities for failover and replication.
The IDMEF standard is used for alert representation. Support for filtering
plugins allows you to hook in different places in the Manager to define custom
criteria for alert relaying and logging.

This plugin adds XML logging capabilities to the Prelude IDS Manager.

%description -l uk_UA.KOI8-U xml-plugin
 Prelude --    Prelude Hybrid IDS. 
Ѥ      ' צ Ҧ
Prelude.    Ť Φ  צΦ
, դ צ  , 
Φ צ        -
 Ԧ,  Ц Ǧ צԦ,  
 ̦    ̦ Ħ.

 Ǧ  צ  ̦  Ԧ XML.

%description -l ru_RU.KOI8-R xml-plugin
 Prelude --    Prelude Hybrid
IDS.     ,  
   Prelude.    
  ̣ ,  ̣ 
,       
     ,   
ޣ,       
 .

        XML.

%prep
%setup -q

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}

%__aclocal
%__autoconf
%configure %{subst_enable static} \
	--localstatedir=%_var \
        --sysconfdir=%_sysconfdir/prelude \
        --prefix=%_usr \
	--enable-openssl \
	--enable-mysql \
	--enable-pgsql \
	--enable-xml2 

%make

%install
%make \
	DESTDIR=$RPM_BUILD_ROOT \
	install
%__mv $RPM_BUILD_ROOT/%_bindir/prelude-manager-db-create.sh ./
pushd $RPM_BUILD_ROOT/%_datadir
%__mv doc gtk-doc
%__mv gtk-doc/prelude/html gtk-doc/html
%__rm -rf gtk-doc/prelude
popd
%__mkdir_p $RPM_BUILD_ROOT/%_logdir/prelude
%__subst 's/\/var\/log\/prelude/\/var\/log\/prelude\/prelude/i' $RPM_BUILD_ROOT/%_sysconfdir/prelude/%name/%name.conf
%__mkdir_p $RPM_BUILD_ROOT/%_initdir
%__install -m 755 %SOURCE99 $RPM_BUILD_ROOT/%_initdir/
%__mkdir_p $RPM_BUILD_ROOT/%_sysconfdir/sysconfig
%__cat > $RPM_BUILD_ROOT/%_sysconfdir/sysconfig/%name <<EOF
# Additional command line parameters for %name:
#
OPTIONS=""
EOF

%post
%post_service %name

%preun
%preun_service %name

%files
%doc AUTHORS ChangeLog README INSTALL prelude-manager-db-create.sh
%config(noreplace) %_sysconfdir/sysconfig/%name
%config(noreplace) %_initdir/%name
%_bindir/%name
%_bindir/manager-adduser
%_libdir/%name/decodes/*.so
%_libdir/%name/reports/debug.so
%_libdir/%name/reports/textmod.so
%if_enabled static
%_libdir/%name/decodes/*.a
%_libdir/%name/reports/debug.a
%_libdir/%name/reports/textmod.a
%endif
%config(noreplace) %_sysconfdir/prelude/%name/*
%dir %_var/spool/%name
%dir %_datadir/%name
%dir %_logdir/prelude

%files devel
%_includedir/%name/*.h
%_datadir/gtk-doc/html/*

%if_enabled static
%files devel-static
%_libdir/%name/db/*.la
%_libdir/%name/decodes/*.la
%_libdir/%name/reports/*.la
%endif

%files mysql-plugin
%_libdir/%name/db/mysql.so
%_datadir/%name/mysql/*
%if_enabled static
%_libdir/%name/db/mysql.a
%endif

%files pgsql-plugin
%_libdir/%name/db/pgsql.so
%_datadir/%name/pgsql/*
%if_enabled static
%_libdir/%name/db/pgsql.a
%endif

%files xml-plugin
%_libdir/%name/reports/xmlmod.so
%_datadir/%name/xmlmod/*
%if_enabled static
%_libdir/%name/reports/xmlmod.a
%endif

%changelog
* Thu Feb 13 2004 Serge A. Volkov <vserge@altlinux.ru> 0.8.9-alt4.1
- Rebuild with openssl-0.9.7d
- Remove configure option "--enable-gtk-doc"

* Mon Feb  2 2004 Serhii Hlodin <hlodin@altlinux.ru> 0.8.9-alt3
- Minor fixes for Sisyphus
- Add initscript
- Add additional sysconfig file

* Thu Nov  6 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.9-alt2
- Minor fixes in dependencies

* Wed Nov  5 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.9-alt1
- New release

* Sun Oct 12 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 0.8.8-alt2
- Minor fixes in spec

* Wed Oct 08 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.8-alt1
- New release

* Sun May 18 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.7-alt1
- Initial build based on original spec-file

